hledger-1.19.1: Command-line interface for the hledger accounting system

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Anon

Description

Instances for anonymizing sensitive data in various types.

Note that there is no clear way to anonymize numbers.

Synopsis

- class Anon a where
  - anon :: a -> a
- anonAccount :: AccountName -> AccountName

# Documentation

class Anon a where Source #

Methods

anon :: a -> a Source #

Consistent converter to structure with sensitive data anonymized

#### Instances

Instances details

Anon Text Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Text -> Text Source #
Anon Posting Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Posting -> Posting Source #
Anon Transaction Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Transaction -> Transaction Source #
Anon Journal Source # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Journal -> Journal Source #

anonAccount :: AccountName -> AccountName Source #

Anonymize account name preserving hierarchy